module SaasPayments
  class Webhook::OrderEvent
    def created(data)
      Order.create!(Order.from_stripe(data))
    end

    def updated(data)
      order = Order.find_by_stripe_id(data[:id])
      raise_not_found(data[:id]) unless order
      order.update(Order.from_stripe(data))
    end

    def payment_failed(data)
      order = Order.find_by_stripe_id(data[:id])
      raise_not_found(data[:id]) unless order
      order.update(Order.from_stripe(data))
    end

    def payment_succeeded(data)
      order = Order.find_by_stripe_id(data[:id])
      raise_not_found(data[:id]) unless order
      order.update(Order.from_stripe(data))
    end

    private

    def raise_not_found(id)
      raise ActiveRecord::RecordNotFound.new("Could not find order with stripe_id: #{id}")
    end
  end
end
