module SaasPayments
  class Order < ApplicationRecord
    include StripeModel

    serialize :metadata
    serialize :status_transitions
    serialize :items

    def self.from_stripe(o)
      {
        stripe_id: parse_id(o[:id]),
        customer_id: parse_id(o[:customer]),
        amount: o[:amount],
        amount_returned: o[:amount_returned],
        application: o[:application],
        application_fee: o[:application_fee],
        charge: o[:charge],
        currency: o[:currency],
        email: o[:email],
        livemode: o[:livemode],
        status: o[:status],
        metadata: stripe_hash(o[:metadata]),
        status_transitions: stripe_hash(o[:status_transitions]),
        items: stripe_array(o[:items]),
      }
    end
  end
end
