module SaasPayments
  class Sku < ApplicationRecord
    include StripeModel

    serialize :metadata
    serialize :attrs
    serialize :inventory
    serialize :package_dimensions

    validates_uniqueness_of :stripe_id

    def self.from_stripe(p)
      {
        product_id:          parse_id(p[:product]),
        stripe_id:           p[:id],
        active:              p[:active],
        currency:            p[:currency],
        image:               p[:image],
        livemode:            truthy?(p[:livemode]),
        price:               p[:price].to_i,
        package_dimensions:  stripe_hash(p[:package_dimensions]),
        metadata:            stripe_hash(p[:metadata]),
        inventory:           stripe_hash(p[:inventory]),
        attrs:               stripe_hash(p[:attributes]),
      }
    end

    def name
      attrs[:name]
    end
  end
end
